repo/gentoo:master commit in: app-text/jabref/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786736217.647f56e08cd5dced7a0d1fdbfdc2714c14462566.arthurzam@gentoo>
commit:     647f56e08cd5dced7a0d1fdbfdc2714c14462566
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Fri Jul 17 19:07:27 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 19:36:57 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=647f56e0

app-text/jabref: compiler selection

Inherit java-pkg-2 in order to let java-pkg_init-compiler_() determine
the compiler version and the -source and -target versions given by
virtual/jdk and virtual/jre.

Restrict to jdk not higher then :21 because of class file version
mismatch.

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1448
Merges: https://codeberg.org/gentoo/gentoo/pulls/1448
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-text/jabref/{jabref-5.15.ebuild => jabref-5.15-r1.ebuild} | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/app-text/jabref/jabref-5.15.ebuild b/app-text/jabref/jabref-5.15-r1.ebuild
similarity index 94%
rename from app-text/jabref/jabref-5.15.ebuild
rename to app-text/jabref/jabref-5.15-r1.ebuild
index d57149483dd0..60b173b91377 100644
--- a/app-text/jabref/jabref-5.15.ebuild
+++ b/app-text/jabref/jabref-5.15-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit desktop edo multiprocessing xdg
+inherit desktop edo java-pkg-2 multiprocessing xdg
 
 VER_ABBRV=7f27d794befacdb279039c3bae807ea0f3faacca
 VER_LOCALES=606fa26be1d87837c4e607362b28ed58a7576875
@@ -25,8 +25,8 @@ LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
 
-DEPEND=">=virtual/jdk-21:*"
-RDEPEND=">=virtual/jre-21"
+DEPEND="|| ( virtual/jdk:21 virtual/jdk:17 virtual/jdk:11 )"
+RDEPEND=">=virtual/jre-11:*"
 BDEPEND="
 	>=dev-java/gradle-bin-8
 	dev-java/java-config
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.